CppUnit project page | FAQ | CppUnit home page

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
DefaultProtector Class Reference

Default protector that catch all exceptions (Implementation). More...

`#include <DefaultProtector.h>`

Inheritance diagram for DefaultProtector:
[legend]
Collaboration diagram for DefaultProtector:
[legend]

List of all members.

## Public Member Functions
bool | protect (const Functor &functor, const ProtectorContext &context)

## Detailed Description

Default protector that catch all exceptions (Implementation).

Implementation detail.

## Member Function Documentation

CPPUNIT_NS_BEGIN bool DefaultProtector::protect | ( | const Functor & | functor,
|  | const ProtectorContext & | context
| ) |  | `[virtual]`

Implements Protector.

The documentation for this class was generated from the following files:

- DefaultProtector.h
- DefaultProtector.cpp

| hosts this site. |  | Send comments to: CppUnit Developers